Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenSHA

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenSHA

public class JrpcgenSHA extends Object

## Constructor Summary

Constructors
Constructor
Description
`JrpcgenSHA()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getHash()`
`String`
`toString()`
`void`
`update(byte b)`
`void`
`update(int i)`
`void`
`update(short s)`
`void`
`update(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JrpcgenSHA

public JrpcgenSHA()

## Method Details

### update

public void update(byte b)

### update

public void update(short s)

### update

public void update(int i)

### update

public void update(String s)

### getHash

public long getHash()

### toString

public String toString()

Overrides:
  `toString` in class `Object`